package stackjava.com.constructor.demo;

import java.io.Serializable;

public class Customer implements Cloneable, Serializable {
	
	private String name;
	private String address;

	public Customer() {
		System.out.println("Constructor without params");
	}

	public Customer(String name, String address) {
		this.name = name;
		this.address = address;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	@Override
	public Object clone() throws CloneNotSupportedException {
		return super.clone();
	}

	@Override
	public String toString() {
		return "Customer [name=" + name + ", address=" + address + "]";
	}

}
